Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2172492 - F38FailsToInstall: ghc-htoml, ghc-htoml-devel, ghc-htoml-prof
Summary: F38FailsToInstall: ghc-htoml, ghc-htoml-devel, ghc-htoml-prof
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ghc-htoml
Version: 38
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Shea
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F38FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2023-02-22 11:48 UTC by Fedora Fails To Install
Modified: 2023-09-19 04:33 UTC (History)
1 user (show)

Fixed In Version: ghc-htoml-1.0.0.3-30.fc38
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-03-25 00:16:08 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Fedora Fails To Install 2023-02-22 11:48:22 UTC
Hello,

Please note that this comment was generated automatically by https://pagure.io/releng/blob/main/f/scripts/ftbfs-fti/follow-policy.py
If you feel that this output has mistakes, please open an issue at https://pagure.io/releng/

Your package (ghc-htoml) Fails To Install in Fedora 38:

can't install ghc-htoml:
  - nothing provides libHSprimitive-0.7.3.0-HMedJdQUTCQ79SiIUfisnA-ghc8.10.7.so()(64bit) needed by ghc-htoml-1.0.0.3-20.fc37.x86_64
  - nothing provides libHShashable-1.3.0.0-DKy9JIeMjEpEMnRxDSJKj1-ghc8.10.7.so()(64bit) needed by ghc-htoml-1.0.0.3-20.fc37.x86_64
  - nothing provides libHSvector-0.12.3.1-4ZUkvMG0hba9AHoOHt8bPP-ghc8.10.7.so()(64bit) needed by ghc-htoml-1.0.0.3-20.fc37.x86_64
  - nothing provides libHSunordered-containers-0.2.16.0-Dv4Rt1LQPww8MojiiwKOfx-ghc8.10.7.so()(64bit) needed by ghc-htoml-1.0.0.3-20.fc37.x86_64
  - nothing provides libHSrandom-1.2.0-KwELIRRPk7PAcyDfwXEvGo-ghc8.10.7.so()(64bit) needed by ghc-htoml-1.0.0.3-20.fc37.x86_64
  - nothing provides libHSsplitmix-0.1.0.3-EyzgLNoP6DEInch8Jq19NJ-ghc8.10.7.so()(64bit) needed by ghc-htoml-1.0.0.3-20.fc37.x86_64
  - nothing provides libHSattoparsec-0.13.2.5-4CNkT6xNlI9Gc8gs7Z5Bf8-ghc8.10.7.so()(64bit) needed by ghc-htoml-1.0.0.3-20.fc37.x86_64
  - nothing provides libHSinteger-logarithms-1.0.3.1-xsL5hmMYGlG65gkrXlNN-ghc8.10.7.so()(64bit) needed by ghc-htoml-1.0.0.3-20.fc37.x86_64
  - nothing provides libHSscientific-0.3.7.0-9Bte1MPl0IRAgeMv2NYBdP-ghc8.10.7.so()(64bit) needed by ghc-htoml-1.0.0.3-20.fc37.x86_64
  - nothing provides libHSbase-orphans-0.8.6-8jdORGUoOgxDxHbvgXV8Fx-ghc8.10.7.so()(64bit) needed by ghc-htoml-1.0.0.3-20.fc37.x86_64
  - nothing provides libHSth-abstraction-0.4.3.0-FMje8SMcvo6Ej3bhfOvFnc-ghc8.10.7.so()(64bit) needed by ghc-htoml-1.0.0.3-20.fc37.x86_64
  - nothing provides libHStransformers-compat-0.6.6-9ADqfwGTALm8Nq2ZeUpa4p-ghc8.10.7.so()(64bit) needed by ghc-htoml-1.0.0.3-20.fc37.x86_64
  - nothing provides libHSassoc-1.0.2-DlFj5btkCuHEvzs3TGk8rg-ghc8.10.7.so()(64bit) needed by ghc-htoml-1.0.0.3-20.fc37.x86_64
  - nothing provides libHSbifunctors-5.5.11-2mt06i80omZ6vW2zUZn5Ka-ghc8.10.7.so()(64bit) needed by ghc-htoml-1.0.0.3-20.fc37.x86_64
  - nothing provides libHScomonad-5.0.8-14XNTVkXFg430uWHShFyQ9-ghc8.10.7.so()(64bit) needed by ghc-htoml-1.0.0.3-20.fc37.x86_64
  - nothing provides libHSdistributive-0.6.2.1-KVxKCEEvBG6hEp8usIJcE-ghc8.10.7.so()(64bit) needed by ghc-htoml-1.0.0.3-20.fc37.x86_64
  - nothing provides libHSindexed-traversable-0.1.2-Eo535BQju5EJMNNLLeinJ3-ghc8.10.7.so()(64bit) needed by ghc-htoml-1.0.0.3-20.fc37.x86_64
  - nothing provides libHStagged-0.8.6.1-EiQY3za6Q5HE9cdvqupke2-ghc8.10.7.so()(64bit) needed by ghc-htoml-1.0.0.3-20.fc37.x86_64
  - nothing provides libHSthese-1.1.1.1-ANC3DfyCOI87BdRIbykcno-ghc8.10.7.so()(64bit) needed by ghc-htoml-1.0.0.3-20.fc37.x86_64
  - nothing provides libHSbase-compat-0.11.2-64avUlpGAIHCFD33W605el-ghc8.10.7.so()(64bit) needed by ghc-htoml-1.0.0.3-20.fc37.x86_64
  - nothing provides libHSstrict-0.4.0.1-HBxyMmbTWvEG941xvNhtfo-ghc8.10.7.so()(64bit) needed by ghc-htoml-1.0.0.3-20.fc37.x86_64
  - nothing provides libHSaeson-1.5.6.0-gBocWxSv2gI3yy25Sudqw-ghc8.10.7.so()(64bit) needed by ghc-htoml-1.0.0.3-20.fc37.x86_64
  - nothing provides libHSbase-compat-batteries-0.11.2-JdaPm3zwkpxKYNUZOUIpY0-ghc8.10.7.so()(64bit) needed by ghc-htoml-1.0.0.3-20.fc37.x86_64
  - nothing provides libHSdata-fix-0.3.2-8nSdN9gmH9UFhK32hk3taL-ghc8.10.7.so()(64bit) needed by ghc-htoml-1.0.0.3-20.fc37.x86_64
  - nothing provides libHSdlist-1.0-2omNVtOWka4BbJoRvWOiUZ-ghc8.10.7.so()(64bit) needed by ghc-htoml-1.0.0.3-20.fc37.x86_64
  - nothing provides libHStime-compat-1.9.5-FhCJFiF8UpKAUAMoG79g1R-ghc8.10.7.so()(64bit) needed by ghc-htoml-1.0.0.3-20.fc37.x86_64
  - nothing provides libHSuuid-types-1.0.5-7O7qBkSgwaQ6lmIxpY1HQv-ghc8.10.7.so()(64bit) needed by ghc-htoml-1.0.0.3-20.fc37.x86_64
  - nothing provides libHSold-locale-1.0.0.7-Imy8BjOomMC1ZfvTA3Dz4y-ghc8.10.7.so()(64bit) needed by ghc-htoml-1.0.0.3-20.fc37.x86_64
  
can't install ghc-htoml-devel:
  - nothing provides ghc-devel(base-4.14.3.0) needed by ghc-htoml-devel-1.0.0.3-20.fc37.x86_64
  - nothing provides ghc-devel(text-1.2.4.1) needed by ghc-htoml-devel-1.0.0.3-20.fc37.x86_64
  - nothing provides ghc-devel(vector-0.12.3.1-4ZUkvMG0hba9AHoOHt8bPP) needed by ghc-htoml-devel-1.0.0.3-20.fc37.x86_64
  - nothing provides ghc-devel(unordered-containers-0.2.16.0-Dv4Rt1LQPww8MojiiwKOfx) needed by ghc-htoml-devel-1.0.0.3-20.fc37.x86_64
  - nothing provides ghc-devel(aeson-1.5.6.0-gBocWxSv2gI3yy25Sudqw) needed by ghc-htoml-devel-1.0.0.3-20.fc37.x86_64
  - nothing provides ghc-devel(time-1.9.3) needed by ghc-htoml-devel-1.0.0.3-20.fc37.x86_64
  - nothing provides ghc-devel(old-locale-1.0.0.7-Imy8BjOomMC1ZfvTA3Dz4y) needed by ghc-htoml-devel-1.0.0.3-20.fc37.x86_64
  - nothing provides ghc-devel(parsec-3.1.14.0) needed by ghc-htoml-devel-1.0.0.3-20.fc37.x86_64
  - nothing provides ghc-compiler = 8.10.7 needed by ghc-htoml-devel-1.0.0.3-20.fc37.x86_64
  
can't install ghc-htoml-prof:
  - nothing provides ghc-prof(base-4.14.3.0) needed by ghc-htoml-prof-1.0.0.3-20.fc37.x86_64
  - nothing provides ghc-prof(text-1.2.4.1) needed by ghc-htoml-prof-1.0.0.3-20.fc37.x86_64
  - nothing provides ghc-prof(vector-0.12.3.1-4ZUkvMG0hba9AHoOHt8bPP) needed by ghc-htoml-prof-1.0.0.3-20.fc37.x86_64
  - nothing provides ghc-prof(unordered-containers-0.2.16.0-Dv4Rt1LQPww8MojiiwKOfx) needed by ghc-htoml-prof-1.0.0.3-20.fc37.x86_64
  - nothing provides ghc-prof(aeson-1.5.6.0-gBocWxSv2gI3yy25Sudqw) needed by ghc-htoml-prof-1.0.0.3-20.fc37.x86_64
  - nothing provides ghc-prof(time-1.9.3) needed by ghc-htoml-prof-1.0.0.3-20.fc37.x86_64
  - nothing provides ghc-prof(old-locale-1.0.0.7-Imy8BjOomMC1ZfvTA3Dz4y) needed by ghc-htoml-prof-1.0.0.3-20.fc37.x86_64
  - nothing provides ghc-prof(parsec-3.1.14.0) needed by ghc-htoml-prof-1.0.0.3-20.fc37.x86_64
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.


P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors. To reproduce, use the koji/local repo only, e.g. in mock:

    $ mock -r fedora-38-x86_64 --config-opts mirrored=False install ghc-htoml ghc-htoml-devel ghc-htoml-prof


P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Fedora Fails To Install 2023-03-02 00:53:25 UTC
Hello,

Please note that this comment was generated automatically by https://pagure.io/releng/blob/main/f/scripts/ftbfs-fti/follow-policy.py
If you feel that this output has mistakes, please open an issue at https://pagure.io/releng/

This package fails to install and maintainers are advised to take one of the following actions:

 - Fix this bug and close this bugzilla once the update makes it to the repository.
   (The same script that posted this comment will eventually close this bugzilla
   when the fixed package reaches the repository, so you don't have to worry about it.)

or

 - Move this bug to ASSIGNED if you plan on fixing this, but simply haven't done so yet.

or

 - Orphan the package if you no longer plan to maintain it.


If you do not take one of these actions, the process at https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs will continue.
This package may be orphaned in 7+ weeks.
This is the first reminder (step 3) from the policy.

Don't hesitate to ask for help on devel.org if you are unsure how to fix this bug.

Comment 2 Fedora Update System 2023-03-15 05:08:28 UTC
FEDORA-2023-4e79ed0f2d has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-4e79ed0f2d

Comment 3 Fedora Update System 2023-03-17 04:03:48 UTC
FEDORA-2023-4e79ed0f2d has been pushed to the Fedora 38 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-4e79ed0f2d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2023-03-25 00:16:08 UTC
FEDORA-2023-4e79ed0f2d has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 5 Red Hat Bugzilla 2023-09-19 04:33:53 UTC
The needinfo request[s] on this closed bug have been removed as they have been unresolved for 120 days


Note You need to log in before you can comment on or make changes to this bug.